Subject: bug#66964: closed (Re: bug#66964: Request for merging "mesa-updates" branch)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Nov 2023 05:31:02 +0000

Your bug report

#66964: Request for merging "mesa-updates" branch

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66964: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66964
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66964: Request for merging "mesa-updates" branch
From: John Kehayias <[email-masked]>
To: [email-masked], [email-masked]
Cc: Kaelyn <[email-masked]>, Efraim Flashner <[email-masked]>
Date: Tue, 28 Nov 2023 05:29:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Guix-ers,

On Wed, Nov 15, 2023 at 08:28 AM, Efraim Flashner wrote:

> On Tue, Nov 14, 2023 at 08:11:08PM +0000, John Kehayias wrote:
>> Hi Kaelyn,
>>
>> On Sun, Nov 12, 2023 at 08:01 PM, Kaelyn wrote:
>>
>> > Hi,
>> >
>> > I've just submitted a pair of patches for the mesa-updates branch:
>> > <https://issues.guix.gnu.org/67136> updating xorgproto and
>> > xorg-server-xwayland. The xorgproto is a high-impact update (guix
>> > refresh reports rebuilding 8710 packages would ensure 22871 dependent
>> > packages are rebuilt), but required to update to the latest xwayland
>> > as xwayland requires a newer version of presentproto than in the
>> > current guix xorgproto package. The updating and ungrafting of mesa
>> > and a number of X.org related libraries seemed like a good time (and
>> > place) to update xorgproto as well.
>> >
>> > Cheers,
>> > Kaelyn
>>
>> Thanks for the patches. I think mesa-updates in this current iteration
>> is set on builds (ended up being a lot more due to the ungrafting but
>> seems done on our main architectures for several days now). I had to
>> make some other changes to fix some larger breakages but at this point I
>> think it will just be taking us back in the build queue too much.
>>
>> So I think it would make more sense on the next big rebuild, either
>> core-updates (talk about doing that with more ungrafts right now) or
>> I'll do mesa-updates again when the next release of mesa hits. Or maybe
>> it makes sense to just do another branch for xwayland?
>>
>> Open to ideas! I'll send a separate message soon on the status of
>> mesa-updates and see what people think, but my thought was to merge this
>> to master in the next day or so if there are no objections.
>
> If the mesa branch is ready to merge so soon then I think we should just
> get that merged and then I'll rebase the rust-team branch on top of new
> master.  The rust-team branch is also ready to merge, but we're way
> behind on aarch64 substitutes.  Either way the substitute servers will
> be rebuilding all of rust so I think it'd be better to merge in
> mesa-updates and then do rust.

Merged as 79765b40fd9b4921b531284c589ace8a2c89a6ea woop!

We got good coverage on x86_64, i686, powerpc64le, aarch64 (all
-linux) especially from Bordeaux. Unfortunately armhf got stuck even
with prodding and waiting, but hopefully it will recover. There may be
some slight catching up across the board with recent issues on Berlin,
but prior to things getting wonky it was looking good (of course all
that happened right when I wanted to merge the other day).

Thanks to Efraim for some fixes and especially getting non-x86 in
better shape.

Feel free anyone to ping me on patches/bugs due to this merge. And
please enjoy updated mesa, fixes to gtk4 applications, some less
grafts, and more.

John

PS: I'll return to mesa-updates soon with next major mesa update and
pending related patches, or in core-updates if that is getting close.

Subject: Request for merging "mesa-updates" branch
From: John Kehayias <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 06 Nov 2023 04:45:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This is to start the process for merging the "mesa-updates" branch. A set of commits was just pushed there and the CI already has a build job for this branch. It is only 12 commits currently, but will be a lot of builds due mostly to the ungrafting of libx11 (and certain package updates beyond mesa itself, like pixman, libdrm, etc.). So, mostly waiting for things to build and hoping no major breakages. The ungrafts and version updates shouldn't be huge changes but you never know.

Please feel free to report any issues here and I'll update as well as things go.

Thanks!
John